Package org.apache.felix.atomos.maven.configs

## Class MavenClassPathFileConfig

- java.lang.Object
- - org.apache.felix.atomos.maven.configs.MavenClassPathFileConfig

    public class MavenClassPathFileConfig
    extends Object

### Field Summary

Fields
`List<File>` `files`
`org.apache.felix.atomos.utils.api.FileType` `fileType`
`List<String>` `filters`

### Constructor Summary

Constructors
`MavenClassPathFileConfig()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### files

    @Parameter(required=false,
               readonly=false)
    public List<File> files

#### filters

    @Parameter(required=false,
               readonly=false)
    public List<String> filters

#### fileType

    @Parameter(defaultValue="ARTEFACT",
               required=false,
               readonly=false)
    public org.apache.felix.atomos.utils.api.FileType fileType

### Constructor Detail

#### MavenClassPathFileConfig

    public MavenClassPathFileConfig()